DBRev 16.11.00.000
[koha.git] / debian / scripts / koha-passwd
blob5be04b40d3f46dd9a852113ec1cf6bb7da8780d6
1 #!/bin/sh
3 # koha-passwd -- show a Koha instance's password
4 # Copyright 2014 KohaAloha, Ltd
6 # This program is free software: you can redistribute it and/or modify
7 # it under the terms of the GNU General Public License as published by
8 # the Free Software Foundation, either version 3 of the License, or
9 # (at your option) any later version.
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY; without even the implied warranty of
13 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
14 # GNU General Public License for more details.
16 # You should have received a copy of the GNU General Public License
17 # along with this program. If not, see <http://www.gnu.org/licenses/>.
20 set -e
22 # include helper functions
23 if [ -f "/usr/share/koha/bin/koha-functions.sh" ]; then
24 . "/usr/share/koha/bin/koha-functions.sh"
25 else
26 echo "Error: /usr/share/koha/bin/koha-functions.sh not present." 1>&2
27 exit 1
30 usage()
32 local scriptname=$0
33 cat <<EOF
34 Displays a Koha instance's password.
36 Usage: $scriptname instancename1 instancename2...
38 EOF
41 # Parse command line.
42 [ $# -ge 1 ] || ( usage ; die "Missing instance name..." )
45 for name in "$@"
47 if is_instance $name ; then
48 passwd=$(xmlstarlet sel -t -v 'yazgfs/config/pass' /etc/koha/sites/$name/koha-conf.xml);
49 if [ -t 1 ]; then
50 echo "Password for $name: $passwd"
51 echo "Press enter to clear the screen..."
52 read anykey
53 clear
54 else
55 echo "$passwd"
57 else
58 warn "Unknown instance $name."
60 done
62 exit 0